List affiliate orders.
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/affiliates/{customerId}/orders/{page} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/affiliates/{customerId}/orders/{page}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/affiliates/{customerId}/orders/{page}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pages": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"productName": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantName": "<string>",
"amount": 123,
"lineTotal": 123,
"additionalFeePercentage": 123,
"additionalFeeAmount": 123,
"additionalFixedFeeAmount": 123,
"volumeDiscountAmount": 123,
"quantity": 123,
"volumeDiscountType": 0,
"volumeDiscountValue": 123,
"volumeDiscountTierQuantity": 123,
"billingInterval": 0,
"customIntervalDays": 123
}
],
"currencyCode": "<string>",
"gateway": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"countryCode": "<string>",
"emailAddress": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"gatewayMetadata": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"transactionId": "<string>",
"clientSecret": "<string>",
"note": "<string>",
"cryptocurrencyAddress": "<string>",
"cryptocurrencyAmount": 123,
"cryptocurrencyExpiration": "2023-11-07T05:31:56Z",
"cryptocurrencyPaymentUri": "<string>",
"chargeCurrencyCode": "<string>",
"chargeFxRate": 123
},
"status": "<string>",
"amountPaid": 123,
"amount": 123,
"isBuyerProtected": true,
"protectionFeeNative": 123,
"protectionFeeEur": 123,
"isTopUp": true,
"appliedBalance": 123,
"amountDueToGateway": 123,
"globalGatewayFeePercentage": 123,
"globalGatewayFeeAmount": 123,
"globalGatewayFixedFee": 123,
"globalGatewayFixedFeeAmount": 123,
"deliveredItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"source": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"textContent": "<string>",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>"
}
}
],
"deliveryInstructions": [
{
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"variantName": "<string>",
"message": "<string>"
}
],
"source": "<string>",
"presentmentCurrencyCode": "<string>",
"presentmentFxRate": 123,
"chargeback": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"status": "<string>",
"reason": "<string>"
},
"balanceTopUpAmount": 123,
"coupon": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"netDecrease": 123,
"code": "<string>",
"couponId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentageDecrease": 123
},
"affiliateDiscount": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"netDecrease": 123,
"percentageDecrease": 123
},
"tax": {
"taxAmount": 123,
"taxRate": 123,
"taxName": "<string>",
"isReverseCharge": true,
"preTaxAmount": 123,
"taxBehavior": "<string>",
"customerVatId": "<string>"
},
"customFieldAnswers": {},
"returnUrl": "<string>",
"metadata": {},
"discordAccount": {
"discordUserId": "<string>",
"username": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>"
},
"marketingOptIn": true
}
]
}Affiliates
List Affiliate Orders
Retrieves a paginated list of orders attributed to a specific affiliate (by customerId) in the store.
Requires the stores.affiliates.view permission.
GET
/
stores
/
{storeId}
/
affiliates
/
{customerId}
/
orders
/
{page}
List affiliate orders.
Authorizations
Your API key goes here
Path Parameters
Query Parameters
Response
200 - application/json
The object was successfully returned.
Represents a paginated response returned from API endpoints, which contains the paginated data and metadata about the pagination.
Last modified on April 6, 2026
⌘I